aboutsummaryrefslogtreecommitdiffstats
path: root/main/smartmontools/smartd.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2011-10-13 08:12:22 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2011-10-13 08:12:22 +0000
commit877687e793a2758c4e6dbcbcc392ef7ab55e863a (patch)
treec73286bf9441bdc0a4911f8be36e5449e3b9f67b /main/smartmontools/smartd.initd
parent326e3880df8dfe920efabf57994121acb8c6fd1d (diff)
downloadaports-877687e793a2758c4e6dbcbcc392ef7ab55e863a.tar.bz2
aports-877687e793a2758c4e6dbcbcc392ef7ab55e863a.tar.xz
main/smartmontools: move to main
Diffstat (limited to 'main/smartmontools/smartd.initd')
-rw-r--r--main/smartmontools/smartd.initd43
1 files changed, 43 insertions, 0 deletions
diff --git a/main/smartmontools/smartd.initd b/main/smartmontools/smartd.initd
new file mode 100644
index 0000000000..560e17d646
--- /dev/null
+++ b/main/smartmontools/smartd.initd
@@ -0,0 +1,43 @@
+#!/sbin/runscript
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/smartmontools/files/smartd.rc,v 1.8 2009/10/11 00:43:58 vapier Exp $
+
+depend() {
+ need localmount
+ after bootmisc
+}
+
+opts="${opts} reload"
+
+checkconfig() {
+ if [ ! -f "/etc/smartd.conf" ] ; then
+ eerror "You should setup your /etc/smartd.conf file!"
+ eerror "See the smartd.conf(5) manpage."
+ return 1
+ fi
+ return 0
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting S.M.A.R.T. monitoring daemon"
+ start-stop-daemon --start --exec /usr/sbin/smartd \
+ --pidfile /var/run/smartd.pid \
+ -- -p /var/run/smartd.pid ${SMARTD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping S.M.A.R.T. monitoring daemon"
+ start-stop-daemon --stop --exec /usr/sbin/smartd \
+ --pidfile /var/run/smartd.pid
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading configuration"
+ start-stop-daemon --oknodo --stop --signal HUP --pidfile /var/run/smartd.pid smartd
+ eend $?
+}